Project

General

Profile

Feature #955 ยป 0054-Include-version-number-to-the-AppImage-filename.patch

Marko Lindqvist, 10/19/2024 04:15 PM

View differences:

platforms/appimage/build_appimages.sh
echo "$1 image build with linuxdeploy failed!" >&2
return 1
fi
if ! mv "Freeciv$3-x86_64.AppImage" "Freeciv-$1-x86_64.AppImage" ; then
if ! mv "Freeciv$3-x86_64.AppImage" "Freeciv-$1-${FCVER}-x86_64.AppImage" ; then
echo "$1 appimage rename failed!" >&2
return 1
fi
......
echo "ruledit-$1 image build with linuxdeploy failed!" >&2
return 1
fi
if ! mv "Freeciv_Ruleset_Editor-x86_64.AppImage" "Freeciv-ruledit-$1-x86_64.AppImage" ; then
if ! mv "Freeciv_Ruleset_Editor-x86_64.AppImage" "Freeciv-ruledit-$1-${FCVER}-x86_64.AppImage" ; then
echo "ruledit-$1 appimage rename failed!" >&2
return 1
fi
}
FCVER="$("${SRC_ROOT}/fc_version")"
if ! mkdir tools ||
! mkdir -p AppDir/server ||
! mkdir -p build/server
......
exit 1
fi
if ! mv "Freeciv_server-x86_64.AppImage" "Freeciv-server-${FCVER}-x86_64.AppImage" ; then
echo "server appimage rename failed!" >&2
exit 1
fi
if ! client_appimage gtk4 gtk4 "" ||
! client_appimage sdl2 sdl2 "_(SDL2)" ||
! client_appimage qt6 qt "_(Qt)" ||
    (1-1/1)